Subject: Re: bug#20487: 25.0.50; Format and behavior of *xref* buffer is non-standard

From: Vitalie Spinu <[email-masked]>
Date: Sun, 03 May 2015 20:46:17 +0200

>>> Dmitry Gutov on Sun, 3 May 2015 20:33:17 +0300 wrote:

 > On 05/03/2015 07:39 PM, Vitalie Spinu wrote:

 > Considering we can translate Grep output into data xref expects, we could the
 > latter the common UI. So, sooner or later, discussing better defaults might be
 > worthwhile.

I would be happy with that. As long as all buffers looks the same, have
same UI and use space wisely.

Colours and line number display should also be the same. There is no
much point to strain people to get used to different displays for the
same type of information.

Currently file paths in *xref* are not highlighted with
compilation-info-face like grep and others do. For me files are bold and
items are also bold. So my whole buffer is in *bold*. This makes it
appear dirty and difficult to read. I think bold font should never be
used for large regions. I attach a sample.

 >> Are you questioning efficiency of *grep* displays?

 > Yes, obviously. Not to mention a lot of GUI applications, have you tried Ack or
 > Ag? They both use the grouped output by default.

I am using ack but still prefer grep output due to more efficient
vertical display.

Note that grep, ack etc commonly need to output multiple occurrences per
file. With xref most of the symbols will have one-to-one correspondence
to the file. So it makes a lot of sense for *xref* to have file and
object on one line.

 >> No. My splits are horizontal.

 > That's odd. Assuming your files are 80 columns wide, 

Right. Long file names are indeed a problem. An inconvenience which I
will get down to eventually if no one else does before me.

Good example is helm-do-grep in which file names are abbreviated and are
not intrusive at all.

  Vitalie